For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate version stack
      • GETList version stack children
      • GETList version stacks
      • PATCHMove version stack
      • PATCHReorder version stack children
      • PATCHRestore version stack
      • GETShow version stack

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceVersion Stacks

Create version stack

Deprecated
POST
https://api.frame.io/v4/accounts/:account_id/folders/:folder_id/version_stacks
POST
/v4/accounts/:account_id/folders/:folder_id/version_stacks
1from frameio_experimental import FrameioExperimental
2from frameio_experimental.version_stacks import VersionStackCreateParamsData
3
4client = FrameioExperimental(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.version_stacks.create(
9 account_id="5ce723d7-e976-4ed4-ba0b-ff279c7f201b",
10 folder_id="e0358ac7-539f-4446-8cdc-5358b5acd4f2",
11 api_version="experimental",
12 data=VersionStackCreateParamsData(
13 file_ids=[
14 "9756d6f5-0bb0-48cc-9c0d-295000638b72",
15 "abb847a7-e569-4fe0-9be8-f86a88e9d0c1"
16 ],
17 ),
18)
1{
2 "data": {
3 "head_version": {
4 "file_size": 1137444,
5 "id": "6a2b33f7-0ba5-412c-b510-124dd112dd45",
6 "media_type": "image/png",
7 "name": "asset.png",
8 "status": "created",
9 "created_at": "2023-09-25T19:18:29.614189Z",
10 "parent_id": "827a6d10-1a65-4ec5-87da-a6f3d61b5aff",
11 "project_id": "5c1d9036-8def-46fc-bced-1dba86114d48",
12 "type": "file",
13 "updated_at": "2024-02-07T16:44:41.986478Z",
14 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
15 "media_links": {
16 "high_quality": {
17 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN"
18 },
19 "original": {
20 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
21 "inline_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=inline%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragSDFXDFh&1Key-Pair-Id=KKI497NESTHMN"
22 },
23 "thumbnail": {
24 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
25 "url": "https://picture2.frame.io/image/s3://frameio-assets-development/image/cd58cb8e-24b3-4498-8d0f-9532fcd04d11/image_full.png?alg=HS256&sig=0_u7w_wz2MwQHOXp000ibbQSMRijujyaUu8V3YYPxu4&exp=1729857600"
26 }
27 },
28 "creator": {
29 "active": true,
30 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
31 "email": "user_email@example.com",
32 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
33 "name": "Jon Doe"
34 },
35 "metadata": [
36 {
37 "field_type": "select",
38 "field_definition_id": "20ebde9c-80ae-4271-9e92-08d7386c18fd",
39 "field_definition_name": "Fields definition name",
40 "mutable": true,
41 "value": [
42 {
43 "display_name": "Display name",
44 "id": "c797d27e-dfeb-4581-b3de-8af3e5f45c49"
45 }
46 ],
47 "field_options": [
48 {
49 "display_name": "Display name",
50 "id": "c797d27e-dfeb-4581-b3de-8af3e5f45c49"
51 },
52 {
53 "display_name": "Display name 2",
54 "id": "468461a9-cf23-45e4-9f34-43390fcab4a1"
55 }
56 ]
57 }
58 ],
59 "project": {
60 "created_at": "2024-01-25T19:18:29.614189Z",
61 "id": "d0beb93e-527c-44e7-8fa8-0f2b0954c4f3",
62 "name": "My Project",
63 "root_folder_id": "954f9c92-f84b-403d-8941-eda2a4012cc0",
64 "status": "active",
65 "storage": 15000,
66 "updated_at": "2024-02-07T16:44:41.986478Z",
67 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
68 "workspace_id": "bec77768-0d52-4db6-bb40-9691d3827d35",
69 "description": "Project Description",
70 "restricted": false,
71 "owner": {
72 "active": true,
73 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
74 "email": "user_email@example.com",
75 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
76 "name": "Jon Doe"
77 }
78 }
79 },
80 "id": "6a2b33f7-0ba5-412c-b510-124dd112dd45",
81 "name": "asset.png",
82 "parent_id": "827a6d10-1a65-4ec5-87da-a6f3d61b5aff",
83 "created_at": "2023-09-25T19:18:29.614189Z",
84 "project_id": "5c1d9036-8def-46fc-bced-1dba86114d48",
85 "type": "file",
86 "updated_at": "2024-02-07T16:44:41.986478Z",
87 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
88 "creator": {
89 "active": true,
90 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
91 "email": "user_email@example.com",
92 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
93 "name": "Jon Doe"
94 },
95 "metadata": [
96 {
97 "field_type": "select",
98 "field_definition_id": "20ebde9c-80ae-4271-9e92-08d7386c18fd",
99 "field_definition_name": "Fields definition name",
100 "mutable": true,
101 "value": [
102 {
103 "display_name": "Display name",
104 "id": "c797d27e-dfeb-4581-b3de-8af3e5f45c49"
105 }
106 ],
107 "field_options": [
108 {
109 "display_name": "Display name",
110 "id": "c797d27e-dfeb-4581-b3de-8af3e5f45c49"
111 },
112 {
113 "display_name": "Display name 2",
114 "id": "468461a9-cf23-45e4-9f34-43390fcab4a1"
115 }
116 ]
117 }
118 ],
119 "project": {
120 "created_at": "2024-01-25T19:18:29.614189Z",
121 "id": "d0beb93e-527c-44e7-8fa8-0f2b0954c4f3",
122 "name": "My Project",
123 "root_folder_id": "954f9c92-f84b-403d-8941-eda2a4012cc0",
124 "status": "active",
125 "storage": 15000,
126 "updated_at": "2024-02-07T16:44:41.986478Z",
127 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
128 "workspace_id": "bec77768-0d52-4db6-bb40-9691d3827d35",
129 "description": "Project Description",
130 "restricted": false,
131 "owner": {
132 "active": true,
133 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
134 "email": "user_email@example.com",
135 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
136 "name": "Jon Doe"
137 }
138 }
139 }
140}
Create a new Version Stack under the parent folder. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://developer.adobe.com/frameio/api/current/#tag/Version-Stacks/operation/version_stacks.create. <br/>Rate Limits: 10 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

List version stack children

Next

Create a new Version Stack under the parent folder.
This endpoint has been added to Current Version of the API.
Please see https://developer.adobe.com/frameio/api/current/#tag/Version-Stacks/operation/version_stacks.create.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
folder_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Request

Request body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error